|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QConicalGradient Class Reference

The QConicalGradient class is used in combination with QBrush to specify a conical gradient brush. More...

    #include <QConicalGradient>

Part of the QtGui module.

Inherits QGradient.

- List of all members, including inherited members

### Public Functions

- QConicalGradient ( const QPointF & center, qreal angle )
- QConicalGradient ( qreal cx, qreal cy, qreal angle )
- qreal angle () const
- QPointF center () const

- 7 public functions inherited from QGradient

## Detailed Description

The QConicalGradient class is used in combination with QBrush to specify a conical gradient brush.

See also QBrush.

## Member Function Documentation

### QConicalGradient::QConicalGradient ( const QPointF & center, qreal angle )

Constructs a conical centered at center and starting at angle.

### QConicalGradient::QConicalGradient ( qreal cx, qreal cy, qreal angle )

Constructs a conical centered at cx, cy and starting at angle.

### qreal QConicalGradient::angle () const

Returns the start angle of the conical gradient in logical coordinates

### QPointF QConicalGradient::center () const

Returns the center of the conical gradient in logical coordinates